Bug 254989 - games/stockfish: Update to 13
Summary: games/stockfish: Update to 13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://stockfishchess.org/blog/2021/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-12 01:51 UTC by m.ne
Modified: 2021-04-17 17:09 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (execve)


Attachments
Update games/stockfish to 13 (1.85 KB, patch)
2021-04-12 01:51 UTC, m.ne
no flags Details | Diff
updated patch (2.02 KB, patch)
2021-04-15 10:08 UTC, m.ne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2021-04-12 01:51:24 UTC
Created attachment 224039 [details]
Update games/stockfish to 13

- Update to version 13
- Remove patch section already present in upstream sources
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-15 07:19:45 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.
Comment 2 Fernando Apesteguía freebsd_committer 2021-04-15 08:37:18 UTC
We should remove the whole patch-Makefile file because the only remaining bits change PREFIX= with PREFIX?= and that is already done in the post-patch target.

No need to update the patch though.

Thanks for the update!
Comment 3 m.ne 2021-04-15 10:08:50 UTC
Created attachment 224130 [details]
updated patch
Comment 4 m.ne 2021-04-15 10:13:30 UTC
(In reply to Fernando Apesteguía from comment #2)
Thanks for looking at the patch. The removed section actually was the reason for patch-Makefile to be present. I should have cross-checked post-patch, but didn't think of it at that moment.

Updated description:
- Update to version 13
- Remove patch already applied in upstream sources
Comment 5 Gautam Mani 2021-04-17 13:44:04 UTC
This looks good, thank you!
Comment 6 commit-hook freebsd_committer 2021-04-17 17:08:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=29223e550182f2f9630fa751c72f2414902d90ea

commit 29223e550182f2f9630fa751c72f2414902d90ea
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-15 08:34:17 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-17 17:03:52 +0000

    games/stockfish: Update to 13

    ChangeLog: https://stockfishchess.org/blog/2021/stockfish-13/

    PR:     254989
    Reported by:    m.ne@gmx.net
    Revision by:    execve@gmail.com (maintainer)

 games/stockfish/Makefile                    |  6 +++---
 games/stockfish/distinfo                    | 10 +++++-----
 games/stockfish/files/patch-Makefile (gone) | 21 ---------------------
 3 files changed, 8 insertions(+), 29 deletions(-)
Comment 7 Fernando Apesteguía freebsd_committer 2021-04-17 17:09:39 UTC
Committed,

Thanks!